Get Super Admin's Assigned Companies

Returns the list of Companies that the Super Admin is assigned to. Equivalent Storefront GraphQL API Query: `superAdminCompanies`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

superAdminIdstringRequired

Query parameters

offsetintegerOptionalDefaults to 0
Number of results to skip before displaying the current page.
limitintegerOptionalDefaults to 10

Maximum number of results to display per page. Values over 250 will return only 250 results.

orderByenumOptional

Determines the Company field by which results will be sorted. If this is omitted, results are sorted by companyId.

Allowed values:
sortByenumOptionalDefaults to DESC

Determines the sort order (ascending or descending) of the results.

Allowed values:
qstringOptional

Search string for filtering results. If this parameter is provided, results will include entries with a partial match in companyName or companyAdminEmail.

companyIdstringOptional
Search string for filtering results by `companyId`. Only returns data with an exact match in `companyId`. This ID does **not** match the ID shown in B2B Edition. To get a specific Company's ID, use the [Server-to-Server Company API](b2b-edition/apis/rest-management/company).

Response

OK
codeintegerDefaults to 200
HTTP response code for the request.
dataobject
Data associated with the response.
messagestringDefaults to SUCCESS
Message indicating the status of the request.
paginationobject

Errors

403
Forbidden Error